Index: examples/allout.save
===================================================================
--- examples/allout.save	(revision 7b548fab06dcb3b91e754d2e22872eb175b6cce4)
+++ examples/allout.save	(revision 4b8e1c9d2bd742389305f8eb7758d8512b62ea39)
@@ -182,21 +182,21 @@
 YAP dump succeed
  
-===good============ league.stadium(access,20120128T130000]<-?-john  yap 
-YAP query succeed
-prover success!!
-credentials needed :
- pLeague.stadium('access',F:pLeague.gametime(T)) <- pLeague.players(T)
+===good============ league.stadium(access,true,20120128T130000)<-?-john  yap 
+YAP query succeed
+prover success!!
+credentials needed :
+ pLeague.stadium('access',true,F:pLeague.gametime(T)) <- pLeague.players(T)
  pLeague.gametime('north') <- time(2012,02,28,13,00,00)
  pLeague.players('north') <- pJohn
  
-===bad============ league.stadium(access,20120128T110000]<-?-mark  yap 
-YAP query failed
-prover failed!!
- 
-===good============ league.stadium(access,20120128T080000]<-?-mark  yap 
-YAP query succeed
-prover success!!
-credentials needed :
- pLeague.stadium('access',F:[20120228T080000..20120228T090000]) <- pLeague.players(T)
+===bad============ league.stadium(access,true,20120128T110000)<-?-mark  yap 
+YAP query failed
+prover failed!!
+ 
+===good============ league.stadium(access,true,20120128T080000)<-?-mark  yap 
+YAP query succeed
+prover success!!
+credentials needed :
+ pLeague.stadium('access',B:[true],F:[20120228T080000..20120228T090000]) <- pLeague.players(T)
  pLeague.players('south') <- pMark
 
Index: examples/balltime_rt2_typed/README
===================================================================
--- examples/balltime_rt2_typed/README	(revision 7b548fab06dcb3b91e754d2e22872eb175b6cce4)
+++ examples/balltime_rt2_typed/README	(revision 4b8e1c9d2bd742389305f8eb7758d8512b62ea39)
@@ -9,7 +9,7 @@
 # 
 # A principal's access rights are controlled by the League principal.  If a 
-# principal has the role role::stadium(string:'access', time:current) that 
-# principal can go into stadium if principal's team has a scheduled gametime.
-# A principal is in team's roster if it is in
+# principal has the role role::stadium(string:'access',boolean:true,time:now)
+# that  principal can go into stadium if principal's team has a scheduled 
+# gametime.  A principal is in team's roster if it is in
 # the oset of players(team) defined by League, written
 # [keyid:League].oset:players(string:'north'))
@@ -40,10 +40,10 @@
 mark_keyid=`creddy --keyid --cert Mark_ID.pem`
 
-stadium_qFqT="stadium([string:'access'],[time:?F[keyid:$league_keyid].oset:gametime([string:?T])])"
-stadium_qR="stadium([string:'access'],[time:?F:[20120228T080000..20120228T090000]])"
+stadium_qFqT="stadium([string:'access'],[boolean:true],[time:?F[keyid:$league_keyid].oset:gametime([string:?T])])"
+stadium_qR="stadium([string:'access'],[boolean:?B:[true]],[time:?F:[20120228T080000..20120228T090000]])"
 
 players_qT="players([string:?T])" 
 
-#[keyid:league].role:stadium([string:'access'],
+#[keyid:league].role:stadium([string:'access'],[boolean:true],
 #          [time:?F:[keyid:league].oset.gametime([string:?T])])
 #                <-[keyid:league].role:players([string:?T])
@@ -54,5 +54,5 @@
        --out League_access_qFqT__League_players_qT_attr.der
 
-#[keyid:league].role:stadium([string:'access'],
+#[keyid:league].role:stadium([string:'access'],[boolean:?B:[true],
 #              [time:?F:[20120228T080000..20120228T090000]])
 #               <- [keyid:league].role:players(string:?T) 
@@ -99,5 +99,5 @@
 #league allows member of a team to access stadium at their team's designed time
 #
-#[keyid:league].role:stadium([string:'access'],
+#[keyid:league].role:stadium([string:'access'],[boolean:true],
 #          [time:?F:[keyid:league].oset.gametime([string:?T])])
 #                <-[keyid:league].role:players([string:?T])
@@ -117,5 +117,5 @@
 #                  <- league.players(_).
 #
-#[keyid:league].role:stadium([string:'access'],
+#[keyid:league].role:stadium([string:'access'],[boolean:?B:[true]],
 #              [time:?F:['20120228T080000'..'20120228T090000']])
 #               <- [keyid:league].role:players(string:?T) 
Index: examples/balltime_rt2_typed/rr
===================================================================
--- examples/balltime_rt2_typed/rr	(revision 7b548fab06dcb3b91e754d2e22872eb175b6cce4)
+++ examples/balltime_rt2_typed/rr	(revision 4b8e1c9d2bd742389305f8eb7758d8512b62ea39)
@@ -13,7 +13,7 @@
 mark=`creddy --keyid --cert $keyloc/Mark_ID.pem`
 
-stadium_accessT="[keyid:$league].role:stadium([string:'access'],[time:20120228T130000])"
-stadium_accessT2="[keyid:$league].role:stadium([string:'access'],[time:20120228T110000])"
-stadium_accessT3="[keyid:$league].role:stadium([string:'access'],[time:20120228T080000])"
+stadium_accessT="[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T130000])"
+stadium_accessT2="[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T110000])"
+stadium_accessT3="[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T080000])"
 
 john_prin="[keyid:$john]"
@@ -23,17 +23,17 @@
 $eloc/abac_prover_yap  --keystore $keyloc --dump creds_dump
 
-#[keyid:$league].role:stadium([string:'access'],[time:20120228T130000]) <-?- [keyid:john] (yes)
+#[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T130000]) <-?- [keyid:john] (yes)
 echo " "
-echo "===good============ league.stadium(access,20120128T130000]<-?-john  yap "
+echo "===good============ league.stadium(access,true,20120128T130000)<-?-john  yap "
 $eloc/abac_prover_yap  --keystore $keyloc --role "$stadium_accessT" --principal "$john_prin"
 
-#[keyid:$league].role:stadium([string:'access'],[time:20120228T110000]) <-?- [keyid:mark] (no)
+#[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T110000]) <-?- [keyid:mark] (no)
 echo " "
-echo "===bad============ league.stadium(access,20120128T110000]<-?-mark  yap "
+echo "===bad============ league.stadium(access,true,20120128T110000)<-?-mark  yap "
 $eloc/abac_prover_yap  --keystore $keyloc --role "$stadium_accessT2" --principal "$mark_prin"
 
-#[keyid:$league].role:stadium([string:'access'],[time:20120228T080000]) <-?- [keyid:mark] (yes)
+#[keyid:$league].role:stadium([string:'access'],[boolean:true],[time:20120228T080000]) <-?- [keyid:mark] (yes)
 echo " "
-echo "===good============ league.stadium(access,20120128T080000]<-?-mark  yap "
+echo "===good============ league.stadium(access,true,20120128T080000)<-?-mark  yap "
 $eloc/abac_prover_yap  --keystore $keyloc --role "$stadium_accessT3" --principal "$mark_prin"
 
